services:
    _defaults:
        autowire: true
        autoconfigure: true
        public: false

    T3\Scroll\:
        resource: '../Classes/*'
        exclude: '../Classes/Domain/Model/*'

    T3\Scroll\EventListener\ModifyPageModuleContentEventListener:
        tags:
            -   name: event.listener
                identifier: 'ext-scroll/modify-page-module-content'
                event: TYPO3\CMS\Backend\Controller\Event\ModifyPageLayoutContentEvent

    T3\Scroll\EventListener\RecordListScrollHelperEventListener:
        tags:
            -   name: event.listener
                identifier: 'ext-scroll/record-list-table-actions'
                event: TYPO3\CMS\Backend\RecordList\Event\ModifyRecordListTableActionsEvent
